{% extends 'User/Security/base.html.twig' %}

{% block title %}{{ parent() }} - {{ 'user.security.title.login'|trans }}{% endblock %}

{% block body %}
    <div class="login-logo">
        <b>Madis</b>
    </div>
    <div class="login-box-body">
        <p class="login-box-msg">{{ 'user.security.login.verbatim'|trans }}</p>
        <form action="{{ path('login') }}" method="POST">

            {% if error %}
                <div class="alert alert-danger">
                    <i class="icon fa fa-ban"></i>
                    {{ error.messageKey|trans(error.messageData, 'security') }}
                </div>
            {% endif %}
            {{ include('_flashbag.html.twig') }}

            <div class="form-group">
                <input type="email" id="username" name="_username" class="form-control" placeholder="{{ 'user.security.login.username'|trans }}" value="{{ last_username }}" />
            </div>
            <div class="form-group has-feedback">
                <input type="password" id="password" name="_password" class="form-control" placeholder="{{ 'user.security.login.password'|trans }}" />
                <span class="glyphicon glyphicon-eye-open form-control-feedback"></span>
            </div>

            <div class="form-group has-feedback text-center">
                <label for="remember_me">
                    <input id="remember_me" name="_remember_me" type="checkbox">
                    {{ 'user.security.login.remember_me'|trans() }}
                </label>
            </div>
            <div class="form-group has-feedback">
                <button type="submit" class="btn btn-primary btn-block btn-flat">{{ 'action.connexion'|trans }}</button>
            </div>
        </form>

        <div class="text-center">
            <a href="{{ path('forget_password') }}">{{ 'user.security.login.forget_password'|trans }}</a><br>
        </div>
    </div>
{% endblock %}
